%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name galaxy-importer

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        0.4.27
Release:        1%{?dist}
Summary:        Galaxy content importer that also ensures proper dependency management for OLPAH upgrades

License:        Apache-2.0
URL:            https://github.com/ansible/galaxy-importer
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/galaxy_importer-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros

%?python_enable_dependency_generator

%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
# We don't care if Ansible is Python 2 or 3 as we just call the CLI
Requires:       /usr/bin/ansible
Requires:       /usr/bin/ansible-test
Requires:       tar
# Autodependency generator does not include ansible-lint or core.
Requires:       python%{python3_pkgversion}dist(ansible-core)
Requires:       python%{python3_pkgversion}dist(ansible-lint) >= 6.2.2
Requires:       python%{python3_pkgversion}dist(ansible-lint) <= 25.1.2

Requires:       %{?scl_prefix}python%{python3_pkgversion}-attrs >= 21.4.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-attrs < 23
Requires:       %{?scl_prefix}python%{python3_pkgversion}-flake8 >= 5.0.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-flake8 < 7
Requires:       %{?scl_prefix}python%{python3_pkgversion}-markdown >= 3.3.4
Requires:       %{?scl_prefix}python%{python3_pkgversion}-markdown < 4
Requires:       %{?scl_prefix}python%{python3_pkgversion}-pyyaml >= 5.4.1
Requires:       %{?scl_prefix}python%{python3_pkgversion}-pyyaml < 7
Requires:       %{?scl_prefix}python%{python3_pkgversion}-requests >= 2.28.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-requests < 3
Requires:       %{?scl_prefix}python%{python3_pkgversion}-semantic-version >= 2.9.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-semantic-version < 3
Requires:       %{?scl_prefix}python%{python3_pkgversion}-packaging >= 23.2
Requires:       %{?scl_prefix}python%{python3_pkgversion}-packaging < 25.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-nh3 >= 0.2.18
Requires:       %{?scl_prefix}python%{python3_pkgversion}-nh3 < 3
%if 0%{?!scl:1}
Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
%endif
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
Obsoletes:      python39-%{pypi_name} < %{version}-%{release}
Obsoletes:      python39-django-filter
Obsoletes:      python39-django-automated-logging
Obsoletes:      python39-django-currentuser
Obsoletes:      python39-django-guid
Obsoletes:      python39-django-import-export
Obsoletes:      python39-django-lifecycle
Obsoletes:      python39-django-picklefield
Obsoletes:      python39-djangorestframework
Obsoletes:      python39-drf-access-policy 
Obsoletes:      python39-drf-nested-routers 
Obsoletes:      python39-drf-spectacular
Obsoletes:      python39-bindep
Obsoletes:      python39-flake8
Obsoletes:      ansible-core
Obsoletes:      ansible-test
Obsoletes:      ansible-lint
Obsoletes:      python39-gunicorn
Obsoletes:      python39-ansible-builder
Obsoletes:      python39-pulpcore
Obsoletes:      python39-pulp-container
Obsoletes:      python39-pulp-ansible
Obsoletes:      python39-dynaconf
Obsoletes:      python39-django
Obsoletes:      python39-django-auth-ldap

Requires:       python3.11-django-filter
Requires:       python3.11-django_guid
Requires:       python3.11-django_import_export
Requires:       python3.11-django-lifecycle
Requires:       python3.11-django-picklefield
Requires:       python3.11-djangorestframework
Requires:       python3.11-drf-access-policy
Requires:       python3.11-drf-nested-routers 
Requires:       python3.11-drf-spectacular
Requires:       python3.11-bindep
Requires:       python3.11-ansible-core
Requires:       python3.11-gunicorn
Requires:       python3.11-ansible-lint
Requires:       python3.11-ansible-builder
Requires:       python3.11-pulpcore
Requires:       python3.11-pulp-container
Requires:       python3.11-pulp-ansible
Requires:       python3.11-dynaconf
Requires:       python3.11-django
Requires:       python3.11-django-auth-ldap
%endif

%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n galaxy_importer-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

sed -i -E '/\s+ansible($|-core|-lint)/d' setup.cfg
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
install -d -m 0755 %{buildroot}/%{_sysconfdir}/galaxy-importer/
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/galaxy_importer
%{python3_sitelib}/galaxy_importer-%{version}-py%{python3_version}.egg-info
%config(noreplace) %attr(0755,root,root) %{_sysconfdir}/galaxy-importer


%changelog
* Tue Jan 28 2025 Rafael Barron <rafael.barron@oracle.com> - 0.4.27-1
- Update to 0.4.27

* Wed Oct 2 2024 Carlos Heiras <carlos.heiras@oracle.com> - 0.4.21-1.0.5
- Relocate transitional package logic into galaxy-importer package

* Tue Oct 1 2024 Carlos Heiras <carlos.heiras@oracle.com> - 0.4.21-1.0.4
- OLAM 313 Add ol-hub-upgrade transitional package as requirement

* Thu Aug 22 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 0.4.21-1.0.3
- Fixes ansible-lint requirement for el8

* Tue Aug 20 2024 Craig Guiller <craig.guiller@oracle.com> - 0.4.21-1.0.2
- enable dependancy generator

* Wed Jul 24 2024 Craig Guiller <craig.guiller@oracle.com> - 0.4.21-1.0.1
- Rebuild for python 3.11
- Update to 0.4.21

* Fri Jan 27 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 0.4.2-4.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Tue May 10 2022 Yanis Guenane <yguenane@redhat.com> - 0.4.2-4
- Obsolete the old Python 3.8 package for smooth upgrade

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 0.4.2-3
- Build against python 3.9

* Tue Feb 22 2022 Odilon Sousa <osousa@redhat.com> - 0.4.2-2
- Require /usr/bin/ansible

* Thu Feb 03 2022 Odilon Sousa <osousa@redhat.com> - 0.4.2-1
- Release python-galaxy-importer 0.4.2

* Tue Nov 09 2021 Odilon Sousa <osousa@redhat.com> - 0.4.1-1
- Release python-galaxy-importer 0.4.1

* Tue Oct 19 2021 Evgeni Golov - 0.4.0-2
- Obsolete the old Python 3.6 package for smooth upgrade

* Wed Sep 08 2021 Evgeni Golov 0.4.0-1
- Update to 0.4.0

* Wed Sep 08 2021 Evgeni Golov - 0.3.2-3
- Correct non-SCL dependencies

* Mon Sep 06 2021 Evgeni Golov - 0.3.2-2
- Build against Python 3.8

* Wed May 12 2021 Evgeni Golov 0.3.2-1
- Update to 0.3.2

* Wed Apr 14 2021 Yanis Guenane - 0.3.0-3
- Add tar as a runtime Requires
- Manage /etc/galaxy-importer folder

* Wed Mar 31 2021 Evgeni Golov - 0.3.0-2
- Fix ansible-lint requires

* Wed Mar 31 2021 Evgeni Golov 0.3.0-1
- Update to 0.3.0

* Mon Feb 22 2021 Evgeni Golov - 0.2.15-1
- Release python-galaxy-importer 0.2.15

* Wed Dec 09 2020 Evgeni Golov - 0.2.12-1
- Release python-galaxy-importer 0.2.12

* Fri Nov 13 2020 Evgeni Golov - 0.2.11-1
- Release python-galaxy-importer 0.2.11

* Thu Nov 05 2020 Evgeni Golov 0.2.9-1
- Update to 0.2.9

* Mon Aug 31 2020 Evgeni Golov 0.2.8-1
- Update to 0.2.8

* Mon Aug 10 2020 Evgeni Golov 0.2.8-0.1.rc9
- Update to 0.2.8rc9

* Mon Jul 27 2020 Evgeni Golov 0.2.7-1
- Update to 0.2.7

* Mon Jul 27 2020 Evgeni Golov - 0.2.5-2
- Patch out Ansible and ansible-lint dependencies from the Python egg

* Tue Jun 23 2020 Evgeni Golov - 0.2.5-1
- Initial package.
